-- ud_119_20151215.sql 
-- ud_121_20150115.sql 
-- ud_122_20160202.sql
-- B12677A9FC9B4AAECAFECA6C7D5571C4

CREATE OR ALTER procedure UPDATE_XP
as
declare variable SNI varchar(14);
declare variable C integer;
begin
  for select K.SNILS, count(*)
      from KARTA K
      where not(K.SNILS is null)
      group by K.SNILS
      having count(*) > 50
      into :SNI, :C
  do
    update KARTA K
    set K.SNILS = null
    where K.SNILS = :SNI;
  suspend;
end; @

COMMIT WORK; @

execute procedure UPDATE_XP; @

COMMIT WORK; @

DROP PROCEDURE UPDATE_XP; @